use serde::{Serialize, Deserialize};

#[derive(Serialize, Deserialize, Clone, Debug)]
pub struct Config {
    pub i2p_private_key: Option<String>,
    pub api_config: ApiConfig,
}

impl Default for Config {
    fn default() -> Self {
        Config { i2p_private_key: None, api_config: Default::default() }
    }
}

#[derive(Serialize, Deserialize, Clone, Debug)]
pub struct ApiConfig {
    pub ip: Option<String>,
    pub port: Option<u16>,
    pub version: Option<String>,
}

impl Default for ApiConfig {
    fn default() -> Self {
        ApiConfig { ip: None, port: None, version: None }
    }
}