use std::collections::BTreeMap;

use anyhow::Error;
use cozo::DbInstance;



pub fn add_schema(db: &DbInstance) -> anyhow::Result<()> {
    let params = BTreeMap::new();
    match db.run_script("
    {:create peers {
        id: String,
        =>
        name: String,
    }}
    {:create elements {
        id: String,
        =>
        content: Json,
    }}
    {:create tags {
        tag: String,
        element: String
    }}
    ", params, cozo::ScriptMutability::Mutable) {
        Ok(_) => Ok(()),
        Err(e) => Err(Error::msg(format!("Failed to set up schema: {}", e))),
    }
}