use serde::{Serialize, Deserialize};

use super::{ElementId, ElementContent};



#[derive(Serialize, Deserialize, Clone, Debug)]
pub struct Element {
    // Uuid identifying the element itself
    id: ElementId,
    content: ElementContent
}

impl Element {
    pub fn new(id: ElementId, content: ElementContent) -> Self {
        Element { id: id, content: content }
    }

    pub fn id(&self) -> &ElementId {
        &self.id
    }
    pub fn content(&self) -> &ElementContent {
        &self.content
    }
}