use serde::{Serialize, Deserialize};
use uuid::Uuid;

#[derive(Serialize, Deserialize, Clone, Debug)]
pub struct ElementId(Uuid);
impl ElementId {
    pub fn new() -> Self {
        ElementId(Uuid::new_v4())
    }
}

impl From<&ElementId> for String {
    fn from(value: &ElementId) -> Self {
        value.0.to_string()
    }
}

impl TryFrom<&str> for ElementId {
    type Error = serde_json::Error;
    fn try_from(value: &str) -> Result<Self, Self::Error> {
        serde_json::from_str(value)
    }
}